PImage bild;       // Originalbild
PImage schwarzWeissBild;  // bearbeitetes Bild

void setup() {
  size(200, 200);
  bild = loadImage("bild.jpg");  
  int w = bild.width;
  int h = bild.height;
  schwarzWeissBild = createImage(bild.width, bild.height, RGB);
  float schwellWert = 127;

  for (int x = 0; x < w; x++) {
    for (int y = 0; y < h; y++ ) {
      int loc = x + y*w;
      // Test the brightness against the schwellWert
      if (brightness(bild.pixels[loc]) > schwellWert) {
        schwarzWeissBild.pixels[loc]  = color(255);  // weiß
      }  else {
        schwarzWeissBild.pixels[loc]  = color(0);    // schwarz
      }
    }
  }
}

void draw() {  
  image(schwarzWeissBild,0,0);
  //schwarzWeissBild.save("BildFertig.jpg");//falls das Ergebnis gespeichert werden soll
  noLoop();
}